### Interface

# GtkSource StyleSchemeChooser

#### Description [src]

    interface GtkSource.StyleSchemeChooser : GObject.Object

Interface implemented by widgets for choosing style schemes.

`GtkSourceStyleSchemeChooser` is an interface that is implemented by widgets for choosing style schemes.

In GtkSourceView, the main widgets that implement this interface are `GtkSourceStyleSchemeChooserWidget` and `GtkSourceStyleSchemeChooserButton`.

#### Prerequisite

In order to implement StyleSchemeChooser, your type must inherit from`GObject`.

#### Implementations

- GtkSourceStyleSchemeChooserButton
- GtkSourceStyleSchemeChooserWidget

#### Instance methods

###### gtk_source_style_scheme_chooser_get_style_scheme

Gets the currently-selected scheme.

###### gtk_source_style_scheme_chooser_set_style_scheme

Sets the scheme.

#### Properties

###### GtkSource.StyleSchemeChooser:style-scheme

Contains the currently selected style scheme.

#### Interface structure

    struct GtkSourceStyleSchemeChooserInterface {
      GTypeInterface base_interface;
      GtkSourceStyleScheme* (* get_style_scheme) (
        GtkSourceStyleSchemeChooser* chooser
      );
      void (* set_style_scheme) (
        GtkSourceStyleSchemeChooser* chooser,
        GtkSourceStyleScheme* scheme
      );

    }

No description available.

###### Interface members

`base_interface`

    GTypeInterface

| No description available.

`get_style_scheme`

    GtkSourceStyleScheme* (* get_style_scheme) (
        GtkSourceStyleSchemeChooser* chooser
      )

| No description available.

`set_style_scheme`

    void (* set_style_scheme) (
        GtkSourceStyleSchemeChooser* chooser,
        GtkSourceStyleScheme* scheme
      )

| No description available.

#### Virtual methods

###### GtkSource.StyleSchemeChooser.get_style_scheme

Gets the currently-selected scheme.

###### GtkSource.StyleSchemeChooser.set_style_scheme

Sets the scheme.